/**
 * BEG overrides
 */

/**
 * Color variation
 *
 * Each colors used in the theme.
 *
 * @uses get_color( $key, $value ) to retrieve color value
 * @type nested map
 * @see http://erskinedesign.com/blog/friendlier-colour-names-sass-maps/
 * @see http://www.colorhexa.com/ to pickup color name
 */
:root {

  --red-pure: #f00;
  --red-bright: #dd482f;

  --blue-pure: #0000ff;
  --blue-strong: #0061c3;
  --blue-dark: #024990;
  --blue-sky: #0061c2;
  --blue-very-dark-desaturated: #2d404e;
  --blue-very-dark: #10213A;
  --blue-light-grayish-01: #d5d9db;
  --blue-light-grayish-02: #ccdff3;
  --blue-light-grayish-03: #e2e4e6;
  --blue-light-grayish-blue: #eef0f1;

  --gray-light: #cdcdcd;
  --gray-very-light-01: #dddddd;
  --gray-very-light-02: #f8fafa;
  --gray-very-light-03: #f8fafa;
  --gray-dark-01: #999999;
  --gray-dark-02: #979797;
  --gray-very-dark: #666666;

  --green-lime: #5ebf87;

  --orange-bright: #F79E43;
  --orange-dark-grayish: #b1aea8;

  /**
   * Brand colors
   *
   * @see https://brandcolors.net/
   */
  --socials-facebook: #3b5998;
  --socials-twitter: #1da1f2;
  --socials-google-plus: #dd4b39;
  --socials-linkedin: #0077b5;
  --socials-viadeo: #f07355;

  /**
   * Font
   *
   * All fonts families found in the site are listed here
   */
  --font-family-body: 'Vinci Sans', sans-serif;
  --font-family-title: 'Vinci Sans', sans-serif;
  --font-family-cursive-01: 'Saturday Champagne', cursive;
  --font-family-cursive-02: 'Reenie Beanie', cursive;

  --beg-parking-kiss-fly: #e20025;
  --beg-parking-p1: #762868;
  --beg-parking-p2: #de205d;
  --beg-parking-p3: #f79e61;
  --beg-parking-garaza: #c0c3bd;
  --beg-parking-p7: #a0d5bd;
  --beg-parking-p8: #0078bb;
  --beg-parking-p11: #61afde;

  --beg-parking-icon-green: #1d8112;
  --beg-parking-icon-yellow: #ffa509;
  --beg-parking-icon-red: #e51f35;

  --blue-light-heading: #e6f2ff;

  /**
   * VINCI COLORS
   * ============
   */

  /*
  VINCI BLUE
  Use for buttons rollover
  R: 0 ; G: 73; B: 144
  #004990
  */
  --vinci-blue: #004990;

  /*
  VINCI LIGHT BLUE
  Use for links rollover
  R: 0 ; G: 120; B: 240
  #0078f0
  */
  --vinci-blue_light: #0078f0;

  /*
  VINCI SKY BLUE
  Use for buttons and flat bloc
  R: 0 ; G: 97; B: 194
  #0061c2
  */
  --vinci-blue_sky: #0061c2;

  /*
  VINCI DARK BLUE
  Use for current text
  R: 16 ; G: 33; B: 58
  #10213a
  */
  --vinci-blue_dark: #10213a;

  /*
  LIGHT GREY
  Use for background
  R: 248 ; G: 250; B: 250
  #f8fafa
  */
  --vinci-grey_light: #f8fafa;

  /*
  MEDIUM GREY
  Use for secondary text and inactive icons on white background
  R: 161 ; G: 167; B: 172
  #a1a7ac
  */
  --vinci-gray_medium: #a1a7ac;

  /*
  DARK GREY
  Use for secondary text and inactive icons on light grey background
  R: 113 ; G: 121; B: 128
  #717980
  */
  --vinci-grey_dark: #717980;

  /*
  GREEN MINT
  Use for label in carte promotionnelle
  R: 52 ; G: 186; B: 108
  #34BA6C
  */
  --vinci-green_mint: #34BA6C;
}

/**
 * Globals
 */
.svg__icon-40 {
  max-width: 40px;
  max-height: 40px;
  margin-right: 1rem;
}

/**
 * Image utilities
 */
.img-responsive {
  max-width: 100%;
  height: auto;
}
.img-cover {
  object-fit: cover;
  width: 100%;
}
.cover-img img {
  width: 100%;
  height: auto;
  object-fit: cover;
  display: block;
}
/* With cover-img */
.card-h100-right img {
  height: 100%;
  object-position: right;
}
.card-h100-left img {
  height: 100%;
  object-position: left;
}
/* Home hack za Tips... */
.home-tips-summer img {
  aspect-ratio: 550 / 285;
  object-position: bottom;
}

/* Element | https://begaero.ddev.site/eng/node/412 */
/**
 * Contextual node edit menu
 */
.Site-footer {
  .contextual-region {
    max-width: 1120px;
    margin: auto;
    position: fixed;
    bottom: 0;
    left: 4rem;
    padding: 1rem;
    background: lightgray;
    z-index: 10;
    & > ul {
      list-style: none;
      display: flex;
      gap: 1rem;
      border-bottom: 1px solid;
    }
  }
}
/**
 * Direct card
 */
.Direct__column {
  -webkit-box-flex: 1;
  flex: 1;
  gap: 10px;
  display: -webkit-box;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  flex-direction: column;
  height: 390px;
  @media (min-width: 754px) {
    height: 410px;
  }
  @media (min-width: 992px) {
    gap: 20px;
    height: 388px;
  }
}
.Direct__item--main {
  -webkit-box-flex: 1;
  flex: 1;
}
.Direct__item {
  border-radius: 2px;
  overflow: hidden;
  display: -webkit-box;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  flex-direction: column;
  &:first-child {
    .Direct__heading-title {
      > svg {
        max-width: 40px;
        max-height: 40px;
      }
    }
  }
}
.Direct__heading {
  background: var(--blue-light-heading);
  color: var(--blue-dark);
  text-align: center;
  padding: 17px 10px;
  border-top-left-radius: 5px;
  border-top-right-radius: 5px;
}
.Direct__heading-title {
  margin: 0;
  font-size: 23px;
  display: -webkit-box;
  display: flex;
  -webkit-box-align: center;
  align-items: center;
  -webkit-box-pack: center;
  justify-content: center;
  font-weight: 500;
  line-height: 30px;
  > svg {
    margin-right: 15px;
  }
}
.Direct__item-content {
  padding: 15px;
  background: white;
  -webkit-box-flex: 1;
  flex: 1;
  display: -webkit-box;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  flex-direction: column;
  color: black;
}
.Direct__list {
  padding: 15px 15px 0;
}
.Direct__list-item {
  border-bottom: 1px solid var(--blue-light-grayish-03);
  margin-bottom: 17px;
  padding: 0 2px;
}

/**
 * Datepicker
 */
.ui-datepicker {
  font-family: var(--font-family-body);
  padding: 0;
  border: none;
  box-shadow: 0 0 .625rem .625rem rgba(0,0,0,.1);
  z-index: 100 !important;

  .ui-state-default {
    background: none;
    border: none;
  }
  .ui-state-default {
    background: none;
    border: none;
    &.ui-state-highlight {
      border: .125rem solid var(--blue-sky);
      background: 0 0;
      color: var(--blue-sky);
    }
    &.ui-state-active {
      border: .125rem solid var(--blue-sky);
      background: var(--blue-sky);
      color: white;
    }
  }
  &.ui-widget {
    background: white;
  }
  .ui-datepicker-calendar td {
    width: calc(100% / 7);
    a {
      text-align: center;
    }
  }
}

/**
 * Page Parking listing
 */
.content__article .sections .section .parking .parking-bg {
  background:#f5f7f7;
  padding:3rem 1.75rem 1.75rem;
  margin-top:5rem;
  position:relative;
  -webkit-box-shadow:0 2px 10px 0 rgba(0,0,0,.1490196078);
  box-shadow:0 2px 10px 0 rgba(0,0,0,.1490196078);
}
.content__article .sections .section .parking .parking-head {
  padding:1.125rem 1.5rem;
  color: white;
  font-size:2.625rem;
  font-weight:700;
  display:inline-block;
  position:absolute;
  top:-2.5rem
}
.content__article .sections .section .parking .parking-title {
  color: var(--blue-dark);
  font-size:1.75rem;
  font-weight:700
}
.content__article .sections .section .parking .parking-subtitle {
  color: var(--blue-dark);
  font-size:1.5rem;
  font-weight:700;
  padding-left:0;
  margin:.625rem 0 1.25rem
}
.content__article .sections .section .parking p {
  color: var(--vinci-grey_dark);
  padding-left:0;
  margin:.5rem 0
}
.content__article .sections .section .parking .parking-link {
  margin:1.5rem 0 2.75rem
}
/* Parking background colours */
.parking-bg-kiss-fly {
  background: var(--beg-parking-kiss-fly);
}
.parking-bg-p1 {
  background: var(--beg-parking-p1);
}
.parking-bg-p2 {
  background: var(--beg-parking-p2);
}
.parking-bg-p3 {
  background: var(--beg-parking-p3);
}
.parking-bg-garaza {
  background: var(--beg-parking-garaza);
}
.parking-bg-p7 {
  background: var(--beg-parking-p7);
}
.parking-bg-p8 {
  background: var(--beg-parking-p8);
}
.parking-bg-p11 {
  background: var(--beg-parking-p11);
}

/**
 * BEG Flights
 */
/* Home flight Widget */
.Widget--track-a-flight__item {
  font-size: 14px;
  padding-top: 0;
  padding-bottom: 0;
  height: 48px;
}
.Widget--track-a-flight__item__title {
  flex: 0 1 145px; /* 14px min 32px*/
  @media (min-width: 992px) {
    flex: 0 0 145px;
  }
}
.Widget--track-a-flight__item__time {
  flex: 0 0 40px; /* 14px min 32px*/
}
.Widget--track-a-flight__item__id {
  flex: 0 0 60px; /* 14px min 46px*/
}
.Widget--track-a-flight__no-flights {
  color: var(--vinci-blue);
  text-align: center;
  font-size: 1.2rem;
}
.Widget--track-a-flight__technical {
  color: black;
  line-height: 1.5;
}
/* Flight status text colouring */
[class*="beg__st--"] {
  width: 55px;
  text-align: center;
}
.beg__st--arrived,
.beg__st--boarding,
.beg__st--checkinopen,
.beg__st--departed,
.beg__st--gateopen,
.beg__st--landed {
  color: var(--vinci-green_mint);
}
.beg__st--boarding,
.beg__st--checkinopen,
.beg__st--gateopen,
.beg__st--gotogate {
  background: var(--vinci-green_mint);
  color: white;
  padding: .2rem .1rem;
}
.beg__st--cancelled,
.beg__st--delayed,
.beg__st--diverted,
.beg__st--lastcall,
.beg__st--newinformationexpectedat
{
  color: var(--red-bright);
}
.beg__st--gatechange,
.beg__st--gateclosed,
.beg__st--holding {
  color: var(--beg-parking-icon-yellow);
}
/* Home Search flight Widget */
/*.Hero__footer [id$="widget"] form {
  flex-direction: column;
}*/
.form-group:not(:last-child) {
  margin-bottom: .5rem;
  text-align: left;
  input {
    background: #fff;
    width: 100%;
    margin-bottom: .1rem;
    padding: .5rem;
    border: .0625rem solid var(--gray-light);
    box-shadow: inset 0 .0625rem .125rem 0 rgba(0, 0, 0, .2);
    border-radius: .1875rem;
    font-size: 1.125rem;
    transition: .3s cubic-bezier(0, 0, .2, 1);
  }
  label {
    display: block;
    margin-bottom: .1rem;
    padding: 0 0 0 .1rem;
    font-size: .875rem;
    line-height: 1.4rem;
    color: #8e8e8e;
  }
}
.form-group:last-child {
  input[type="submit"] {
    border-radius: .1875rem;
    font-size: 1.125rem;
    transition: .3s cubic-bezier(0, 0, .2, 1);
  }
}

/**
 * Flights PAGE
 */
#Real-time-flight-mobile-help {
  display: none;
}
.Widget-real-time-flight__body {
  padding: 1rem;
}
.Widget-real-time-flight__panel.is-active {
  @media (min-width: 700px) {
    display: flex;
  }
  gap: .5rem;
  & input {
    padding-left: 1rem;
    padding-right: 1rem;
    margin: .25rem 0;
    border: 1px solid #d5d9db;
    border-radius: 2px;
    width: 100%;
    @media (min-width: 700px) {
      flex: 1 1 content;
      width: 100px;
      margin: 0;
    }
    &.datepicker {
      width: calc(100% - 25px);
    }
  }
}
.flight-day__filter {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  gap: .5rem;
  flex: 0 0 content;
  margin: 0 0 .25rem;
  @media (min-width: 700px) {
    margin: 0;
  }
  & p {
    padding: .3125rem .9375rem;
    line-height: 100%;
    cursor: pointer;
    border: .0625rem solid #e5e5e5;
    border-radius: .25rem;
    margin: 0;
    flex: 1 1 auto;
    text-align: center;
    &.flight-day__active {
      background-color: #004990;
      color: #fff;
    }
  }
}
ul.Flights li {
  cursor: pointer;
}
.flight-details {
  padding: 0 2rem;
  & p {
    margin-bottom: 0;
  }
  & h3 {
    font-size: 1.5rem;
  }
  & small {
    font-weight: 400;
    font-size: 1rem;
  }
  & ul {
    padding-left: 1rem;
  }
  & li {
    list-style-type: "— ";
  }
}
/* Flights Column widths overrides */
@media (min-width: 992px) {
  .Flight__column:nth-child(1) {
    width: 25%;
  }
  .Flight__column:nth-child(2) {
    width: 10%;
  }
}
.Flight__column:nth-child(3) {
  width: 100%;
}
@media (min-width: 992px) {
  .Flight__column:nth-child(3) {
    width: 25%;
  }
}
.Flight__column:nth-child(4) {
  width: 20%;
}
@media (min-width: 992px) {
  .Flight__column:nth-child(5) {
    width: 10%;
  }
  .Flight__column:nth-child(6) {
    padding-right: 25px;
    flex: 0 0 content;
  }
}
.Flight__link {
  .Button {
    -webkit-transition: opacity .3s cubic-bezier(.19, 1, .22, 1);
    transition: opacity .3s cubic-bezier(.19, 1, .22, 1);
    opacity: 1;
    border: 1px solid var(--vinci-blue_sky);

    &.Button--secondary,
    &.Button--white {
      background-color: #fff;
      color: var(--vinci-blue_sky)
    }
    &.Button--secondary:hover,
    &.Button--white:hover {
      background: var(--blue-light-grayish-02);
      border: 1px solid var(--blue-light-grayish-02)
    }
  }
}
/* Flights Header mobile */
@media (max-width: 992px) {
  .Flight__header__body {
    padding: 0 10px;
    justify-content: space-between;
    .Flight__column {
      padding: 0 .25rem;
      width: auto;
    }
  }
}

/**
 * Editorial
 */
.Editorial-body {
  img {
    width: 100%;
    height: auto;
  }
  ul {
    padding-left: 20px;
  }
  blockquote {
    padding-left: 1.5rem;
    margin: 1rem;
    border-left: 4px solid var(--vinci-blue_light);
  }
  iframe {
    width: 100%;
    height: auto;
    aspect-ratio: 16 / 9;
  }
  .file {
    &::before {
      content: "";
      width: 1.4em;
      height: 1.4em;
      display: inline-block;
      margin-right: 0.5em;
      background: url("/themes/beg/images/icons/file.svg") no-repeat;
      background-size: contain;
      vertical-align: -0.4em;
    }
    &.file--mime-application-pdf.file--application-pdf::before {
      background: url("/themes/beg/images/icons/pdf.svg") no-repeat;
    }
    &.file--mime-application-zip.file--package-x-generic::before {
      background: url("/themes/beg/images/icons/zip.svg") no-repeat;
    }
    &.file--mime-application-vnd-openxmlformats-officedocument-spreadsheetml-sheet.file--x-office-document::before {
      background: url("/themes/beg/images/icons/vnd-openxmlformats-officedocument-spreadsheetml-sheet.svg") no-repeat;
    }
    &.file--mime-application-vnd-openxmlformats-officedocument-wordprocessingml-document.file--x-office-document::before {
      background: url("/themes/beg/images/icons/vnd-openxmlformats-officedocument-wordprocessingml-document.svg") no-repeat;
    }
  }
  span a {
    color: var(--blue-strong);
    text-decoration: underline;

    &:hover {
      color: var(--vinci-blue_light);
    }
  }
  /* Price list */
  .price-list-wrapper {
    margin-top: 3rem;
    border-bottom: 1px solid;
    p {
      padding-left: 2rem;
    }
  }

}

/**
 * For services/airport-click-away
 */
@media (max-width: 480px) {
  .begapp-features {
    h3 {
      font-size: 24px;
    }
    p {
      font-size: 1rem;
    }
  }
}
@media (min-width: 480px) {
  .begapp-features {
    position: absolute;
    width: 50%;
    top: 0;
    right: 0;
  }
}
.feature-icon {
  width: 72px;
  height: 72px;
  color: var(--vinci-blue);
  float: left;
  margin-right :1rem;
}

/**
 * Language icon
 */
.Language-selector svg.flag-icon {
  transform: none;
  width: 18px;
  height: 12px;
  vertical-align: middle;
}

/**
 * Footer hacks
 */
@media (max-width: 600px) {
  .Site-footer__socials .footer-mobile {
    flex-wrap: wrap;
  }
  #appstore-link,
  #googleplay-link {
    margin-left: auto;
  }
}

/**
 * Webform
 */
.form-item__label.form-required::after,
.fieldset__label.form-required::after,
.form-required > .fieldset__label::after,
.horizontal-tab-button .form-required::after,
.vertical-tabs__menu-link .form-required::after,
.form-item .form-required::after  {
  content: "*";
  color: var(--red-pure);
  line-height: 1;
  margin-right: .15em;
  margin-left: .15em;
  vertical-align: text-top;
  background: none;
}
.webform-submission-form {
  .button {
    @media (min-width: 992px) {
      padding-right: 20px;
      padding-left: 20px;
      white-space: nowrap;
    }
    padding: 13px 10px;
    background-color: var(--blue-strong);
    border: 1px solid var(--blue-strong);
    border-radius: 2px;
    font-size: 1rem;
    font-weight: 500;
    line-height: 1.3em;
    color: white;
    text-align: center;
    user-select: none;
    transition: color 0.3s cubic-bezier(0.19, 1, 0.22, 1), background-color 0.3s cubic-bezier(0.19, 1, 0.22, 1), box-shadow 0.3s cubic-bezier(0.19, 1, 0.22, 1), border-color 0.3s cubic-bezier(0.19, 1, 0.22, 1), opacity 0.3s cubic-bezier(0.19, 1, 0.22, 1);
  }
}
.webform-submission-grievance-form,
.webform-submission-customer-care-form,
.webform-submission-delayed-baggage-form {
  .js-label {
    display: none;
  }
  .js-form-type-radio .Input.Input--large {
    display: inline !important;
    margin-right: .25em;
    border: none;
  }
  .webform-options-display-side-by-side > div {
    display: inline-block;
    margin-right: 1.5em;
  }
  .Checkbox label.webform-options-display-buttons-label {
    border: none;
  }
  label:not(.option), legend {
    font-weight: 500;
  }
  .webform-address--wrapper {
    .fieldset-wrapper {
      padding-left: 1rem;
    }
    input {
      width: inherit;
    }
    label {
      font-weight: 400;
    }
  }
}

/**
 * Page header Logo
 */
.Logo.Logo--vinci-aeroport {
  width: auto;
}

/**
 * HACKS!!!
 * TODO: Remove
 */
/*.Flash_container__error {display: none;}*/
p a:not(.Button),
a.link:not(.Button) {
  color: var(--vinci-blue_sky);
  text-decoration: underline;
}
#beg-parking-widget-render #form-parking-store {
  display: block !important;
  visibility: hidden;
  height: 0;
}
.Input-time select, .Select-time select {
  padding-left: 50px;
}